Subject: log-edit-insert-changelog+non standard add-log-time-format

From: Uwe Brauer <[email-masked]>
Date: Mon, 28 Mar 2011 17:25:50 +0200

Hello 

I have set 
 'add-log-time-format to a function called 

my-insert-log-time

which is defined as:
(defun my-insert-log-time ()
  (interactive)
  (insert 
   (format-time-string "%Y-%m-%d_%H:%M")))

the resulting entries in the Changlog file log like
2011-03-28_17:22  Uwe Brauer  <[email-masked]>

	* emacs_keys.el: 

the problem is when I call vc-next-action and in the vc-log file 
the function

log-edit-insert-changelog

then after finishing the process and returning to the Changelog file the entry looks 
like 

2011-03-28_16:192011-03-28_16:192011-03-26  Uwe Brauer  <[email-masked]>

	* emacs_keys.el: 

which is awful. I presume the error lies in my-insert-log-time
but how shall I change it?

Uwe Brauer

In GNU Emacs 22.2.1 (i486-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2010-03-26 on palmer, modified by Ubuntu
Windowing system distributor `The X.Org Foundation', version 11.0.10600000
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs22:/etc/emacs:/usr/local/share/emacs/22.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/22.2/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/22.2/leim' '--with-x=yes' '--with-x-toolkit=athena' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8
  default-enable-multibyte-characters: t

Major mode: Log-Edit

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
<return> C-x o <end> <home> C-x o C-x 1 <home> C-c 
C-c y e s <return> i C-x o <end> <home> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <down-mouse-1> 
<mouse-1> C-x h C-w C-y <down-mouse-1> <mouse-1> <home> 
C-> <down-mouse-1> <mouse-1> <S-f3> C-x C-q C-x C-q 
C-x v v y C-x 1 <home> <end> C-x C-f <M-backspace> 
<M-backspace> <M-backspace> <return> g <up> <up> <up> 
<up> <up> <up> f <home> <S-f1> <S-f1> <S-f1> C-SPC 
<down> <down> <down> C-w C-y C-x C-f C h - b u g <return> 
C-y C-x C-s <S-f3> <S-f3> y e s <return> g <down> <down> 
<down> <down> <down> f C-x v v SPC C-x C-s C-x v v 
C-h k C-c C-a <help-echo> <down-mouse-1> <mouse-movement> 
<mouse-movement> <drag-mouse-1> <f7> <C-end> C-g <home> 
<help-echo> <down-mouse-1> <mouse-movement> <mouse-movement> 
<mouse-1> M-x r e p o r t SPC e m <tab> <return>

Recent messages:
Checking out /home/oub/emacs/emacs_keys.el...done
Saving file /home/oub/emacs/emacs_keys.el...
Wrote /home/oub/emacs/emacs_keys.el
Mark set
Press C-c C-c when you are done editing.
Enter a change comment.  Type C-c C-c when done
Type C-x 4 C-o RET to restore the other window.  
call-interactively: Beginning of buffer
Quit
Mark set